SrcDir  = :
ObjDir  = :objs:
App		= "busybox"

Sources = 						¶
		{SrcDir}uglobals.c		¶
		{SrcDir}uwindow.c		¶
		{SrcDir}umenu.c			¶
		{SrcDir}uevent.c		¶
		{SrcDir}busy.c

Objects = 						¶
		{ObjDir}uglobals.c.obj	¶
		{ObjDir}uwindow.c.obj	¶
		{ObjDir}umenu.c.obj		¶
		{ObjDir}uevent.c.obj	¶
		{ObjDir}busy.c.obj

{App} Ä		{ObjDir}{App}.load {ObjDir}{App}.res
	duplicate -y -d {ObjDir}{App}.load c.{App}
	duplicate -y -r {ObjDir}{App}.res  c.{App}
	duplicateiigs -y -mac c.{App} :

{ObjDIR}{App}.res Ä ¶
		busybox.r	¶
		uevent.c	¶
		umenu.c		¶
		uwindow.c	¶
		uglobals.c	¶
		busy.c
	reziigs busybox.r -o {ObjDir}busybox.res

{ObjDir}busybox.load Ä {Objects}
	LinkIIGS ¶
		"{CIIGSLibrary}"start.obj ¶
		{Objects} ¶
		-lib "{CIIGSLibrary}"clib ¶
		-o {ObjDir}busybox.load -t $B3

{ObjDir}busy.c.obj Ä busy.c
	ciigs busy.c -o {ObjDir}

{ObjDir}uevent.c.obj Ä uevent.c
	ciigs uevent.c -o {ObjDir}

{ObjDir}uwindow.c.obj Ä uwindow.c
	ciigs uwindow.c -o {ObjDir}

{ObjDir}umenu.c.obj Ä umenu.c	
	ciigs umenu.c -o {ObjDir}

{ObjDir}uglobals.c.obj Ä uglobals.c	
	ciigs uglobals.c -o {ObjDir}
